> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List enzymes

GET https://{tenant_name}.benchling.com/api/v2/enzymes

List enzymes that can be specified for other Benchling operations.


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/enzymes/list-enzymes

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: name:asc) — Method by which to order search results. Valid sort is name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.
  - Allowed values: `name`, `name:asc`, `name:desc`
- `name` (string, optional) — Name of an enzyme. Restricts results to those with the specified name.
- `nameIncludes` (string, optional) — Name substring of an enzyme. Restricts results to those with names that include the provided substring.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `names.anyOf` (string, optional) — Comma-separated list of names. Restricts results to those that match any of the specified names.

## Response

### 200

OK

- `enzymes` (list of Enzyme, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### Enzyme

- `cutsites` (list of integer, optional)
- `id` (string, optional)
- `isoschizomers` (list of string, optional)
- `name` (string, optional)
- `offsets` (list of integer, optional)
- `restrictionSite` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Response**

```json
{
  "enzymes": [
    {
      "cutsites": [
        1
      ],
      "id": "enz_6ZVdX98t",
      "isoschizomers": [
        "string"
      ],
      "name": "string",
      "offsets": [
        1
      ],
      "restrictionSite": "string"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/enzymes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/enzymes';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```